public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/kde:master commit in: kde-apps/kde-l10n/, kde-apps/kdepim-l10n/, kde-apps/kde4-l10n/, ...
@ 2016-04-16 19:11 Michael Palimaka
  0 siblings, 0 replies; only message in thread
From: Michael Palimaka @ 2016-04-16 19:11 UTC (permalink / raw
  To: gentoo-commits

commit:     34a789a45c3650e9fb600791eb0432ac04c4b986
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 16 19:10:41 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Apr 16 19:10:49 2016 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=34a789a4

kde-apps: add 16.04.0 l10n

 kde-apps/kde-l10n/kde-l10n-16.04.0.ebuild       | 116 +++++++++++++++
 kde-apps/kde4-l10n/kde4-l10n-16.04.0.ebuild     | 185 ++++++++++++++++++++++++
 kde-apps/kdepim-l10n/kdepim-l10n-16.04.0.ebuild | 143 ++++++++++++++++++
 kde-apps/ktp-l10n/ktp-l10n-16.04.0.ebuild       | 146 +++++++++++++++++++
 4 files changed, 590 insertions(+)

diff --git a/kde-apps/kde-l10n/kde-l10n-16.04.0.ebuild b/kde-apps/kde-l10n/kde-l10n-16.04.0.ebuild
new file mode 100644
index 0000000..231df32
--- /dev/null
+++ b/kde-apps/kde-l10n/kde-l10n-16.04.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+inherit kde5
+
+DESCRIPTION="KDE internationalization package"
+HOMEPAGE="http://l10n.kde.org"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	$(add_frameworks_dep ki18n)
+	$(add_qt_dep linguist-tools)
+	sys-devel/gettext
+"
+RDEPEND="
+	!<kde-apps/kde4-l10n-${PV}
+	!kde-apps/kde4-l10n[-minimal]
+	!<kde-apps/kdepim-l10n-${PV}:5
+	!<kde-apps/khelpcenter-5.5.5-r1
+	!=kde-apps/khelpcenter-5.6.2
+	!<kde-apps/ktp-l10n-${PV}
+"
+
+# /usr/portage/distfiles $ ls -1 kde-l10n-*-${PV}.* |sed -e 's:-${PV}.tar.xz::' -e 's:kde-l10n-::' |tr '\n' ' '
+MY_LANGS="ar ast bg bs ca ca@valencia cs da de el en_GB eo es et eu fa fi fr ga
+gl he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro
+ru sk sl sr sv tr ug uk wa zh_CN zh_TW"
+
+IUSE="$(printf 'linguas_%s ' ${MY_LANGS})"
+
+URI_BASE="${SRC_URI/-${PV}.tar.xz/}"
+SRC_URI=""
+for my_lang in ${MY_LANGS} ; do
+	SRC_URI="${SRC_URI} linguas_${my_lang}? ( ${URI_BASE}/${PN}-${my_lang}-${PV}.tar.xz )"
+done
+
+S="${WORKDIR}"
+
+pkg_setup() {
+	if [[ -z ${A} ]]; then
+		elog
+		elog "You either have the LINGUAS variable unset, or it only"
+		elog "contains languages not supported by ${P}."
+		elog "You won't have any additional language support."
+		elog
+		elog "${P} supports these language codes:"
+		elog "${MY_LANGS}"
+		elog
+	fi
+	[[ -n ${A} ]] && kde5_pkg_setup
+}
+
+src_unpack() {
+	for my_tar in ${A}; do
+		tar -xpf "${DISTDIR}/${my_tar}" --xz \
+			"${my_tar/.tar.xz/}/CMakeLists.txt" "${my_tar/.tar.xz/}/5" 2> /dev/null ||
+			elog "${my_tar}: tar extract command failed at least partially - continuing"
+	done
+}
+
+src_prepare() {
+	default
+	[[ -n ${A} ]] || return
+
+	# add all linguas to cmake
+	cat <<-EOF > CMakeLists.txt || die
+project(kde-l10n)
+cmake_minimum_required(VERSION 2.8.12)
+$(printf "add_subdirectory( %s )\n" \
+	`find . -mindepth 1 -maxdepth 1 -type d | sed -e "s:^\./::"`)
+EOF
+
+	# Drop KDE4-based part
+	find -maxdepth 2 -type f -name CMakeLists.txt -exec \
+		sed -i -e "/add_subdirectory(4)/ s/^/#DONT/" {} + || die
+
+	# Handbook optional
+	find -type f -name CMakeLists.txt -exec \
+		sed -i -e "/find_package.*KF5DocTools/ s/ REQUIRED//" {} + || die
+	if ! use handbook ; then
+		find -mindepth 4 -maxdepth 4 -type f -name CMakeLists.txt -exec \
+			sed -i -e '/add_subdirectory(docs)/ s/^/#DONT/' {} + || die
+	fi
+
+	# Remove kdepim translations (part of kde-apps/kdepim-l10n)
+	for subdir in kdepim kdepimlibs kdepim-runtime pim; do
+		find -mindepth 5 -maxdepth 5 -type f -name CMakeLists.txt -exec \
+			sed -i -e "/add_subdirectory( *${subdir} *)/ s/^/#DONT/" {} + || die
+	done
+
+	# Remove ktp translations (part of kde-apps/ktp-l10n)
+	# Drop that hack (and kde-apps/ktp-l10n) after ktp:4 removal
+	find ./*/5/*/messages/kdenetwork -type f \
+		\( -name kaccounts*po -o -name kcm_ktp*po -o -name kcmtelepathy*po \
+		-o -name kded_ktp*po -o -name ktp*po -o -name plasma*ktp*po \) \
+		-delete
+}
+
+src_configure() {
+	[[ -n ${A} ]] && kde5_src_configure
+}
+
+src_compile() {
+	[[ -n ${A} ]] && kde5_src_compile
+}
+
+src_test() { :; }
+
+src_install() {
+	[[ -n ${A} ]] && kde5_src_install
+}

diff --git a/kde-apps/kde4-l10n/kde4-l10n-16.04.0.ebuild b/kde-apps/kde4-l10n/kde4-l10n-16.04.0.ebuild
new file mode 100644
index 0000000..65c9eef
--- /dev/null
+++ b/kde-apps/kde4-l10n/kde4-l10n-16.04.0.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+KMNAME="kde-l10n"
+inherit kde4-base
+
+DESCRIPTION="KDE internationalization package"
+HOMEPAGE="http://l10n.kde.org"
+
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+
+DEPEND="
+	sys-devel/gettext
+"
+RDEPEND="
+	!<kde-apps/kde-l10n-${PV}
+"
+
+REMOVE_DIRS="${FILESDIR}/${PN}-16.03.91-remove-dirs"
+REMOVE_MSGS="${FILESDIR}/${PN}-16.03.91-remove-messages"
+
+LV="4.14.3"
+LEGACY_LANGS="ar bg bs ca ca@valencia cs da de el en_GB es et eu fa fi fr ga gl
+he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro ru
+sk sl sr sv tr ug uk wa zh_CN zh_TW"
+
+# /usr/portage/distfiles $ ls -1 kde-l10n-*-${PV}.* |sed -e 's:-${PV}.tar.xz::' -e 's:kde-l10n-::' |tr '\n' ' '
+MY_LANGS="ar ast bg bs ca ca@valencia cs da de el en_GB eo es et eu fa fi fr ga
+gl he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro
+ru sk sl sr sv tr ug uk wa zh_CN zh_TW"
+
+IUSE="minimal test $(printf 'linguas_%s ' ${MY_LANGS})"
+
+URI_BASE="${SRC_URI/-${PV}.tar.xz/}"
+LURI_BASE="mirror://kde/stable/${LV}/src/${KMNAME}"
+SRC_URI=""
+
+for MY_LANG in ${LEGACY_LANGS} ; do
+	SRC_URI="${SRC_URI} linguas_${MY_LANG}? ( ${LURI_BASE}/${KMNAME}-${MY_LANG}-${LV}.tar.xz )"
+done
+
+for MY_LANG in ${MY_LANGS} ; do
+	SRC_URI="${SRC_URI} linguas_${MY_LANG}? ( ${URI_BASE}/${KMNAME}-${MY_LANG}-${PV}.tar.xz )"
+done
+
+S="${WORKDIR}"
+
+pkg_setup() {
+	if [[ -z ${A} ]]; then
+		elog
+		elog "You either have the LINGUAS variable unset, or it only"
+		elog "contains languages not supported by ${P}."
+		elog "You won't have any additional language support."
+		elog
+		elog "${P} supports these language codes:"
+		elog "${MY_LANGS}"
+		elog
+	fi
+	[[ -n ${A} ]] && kde4-base_pkg_setup
+}
+
+src_unpack() {
+	for my_tar in ${A}; do
+		[[ ${my_tar} = *${PV}* ]] && local subdir="/4"
+		use minimal && [[ ${my_tar} = *${LV}* ]] && continue
+		tar -xpf "${DISTDIR}/${my_tar}" --xz \
+			"${my_tar/.tar.xz/}/CMakeLists.txt" "${my_tar/.tar.xz/}${subdir}" 2> /dev/null ||
+			elog "${my_tar}: tar extract command failed at least partially - continuing"
+	done
+}
+
+src_prepare() {
+	default
+	[[ -n ${A} ]] || return
+
+	# add all linguas to cmake
+	cat <<-EOF > CMakeLists.txt || die
+project(kde4-l10n)
+cmake_minimum_required(VERSION 2.8.12)
+$(printf "add_subdirectory( %s )\n" `find . -mindepth 1 -maxdepth 1 -type d -name "*${PV}*"`)
+EOF
+
+	# Drop KF5-based part
+	find -maxdepth 2 -type f -name CMakeLists.txt -exec \
+		sed -i -e "/add_subdirectory(5)/ s/^/#DONT/" {} + || die
+
+	if use minimal; then
+		einfo "Removing file collisions with Plasma 5 and Applications"
+		use test && einfo "Tests enabled: Listing LINGUAS causing file collisions"
+
+		einfo "Directories..."
+		while read path; do
+			if use test ; then	# build a report w/ LINGUAS="*" to submit @upstream
+				local lngs
+				for lng in ${LINGUAS}; do
+					SDIR="${S}/${KMNAME}-${lng}-${PV}/4/${lng}"
+					if [[ -d "${SDIR}"/${path%\ *}/${path#*\ } ]] ; then
+						lngs+=" ${lng}"
+					fi
+				done
+				[[ -n "${lngs}" ]] && einfo "${path%\ *}/${path#*\ }${lngs}"
+				unset lngs
+			fi
+			if ls -U ./*/4/*/${path%\ *}/${path#*\ } > /dev/null 2>&1; then
+				sed -e "\:add_subdirectory(\s*${path#*\ }\s*): s:^:#:" \
+					-i ./*/4/*/${path%\ *}/CMakeLists.txt || \
+					die "Failed to comment out ${path}"
+			else
+				einfo "F: ${path}"	# run with LINGUAS="*" to cut down list
+			fi
+		done < <(grep -ve "^$\|^\s*\#" "${REMOVE_DIRS}")
+		einfo
+		einfo "Messages..."
+		while read path; do
+			if use test ; then	# build a report w/ LINGUAS="*" to submit @upstream
+				local lngs
+				for lng in ${LINGUAS}; do
+					SDIR="${S}/${KMNAME}-${lng}-${PV}/4/${lng}"
+					if [[ -e "${SDIR}"/messages/${path} ]] ; then
+						lngs+=" ${lng}"
+					fi
+				done
+				[[ -n "${lngs}" ]] && einfo "${path}${lngs}"
+				unset lngs
+			fi
+			if ls -U ./*/4/*/messages/${path} > /dev/null 2>&1; then
+				rm ./*/4/*/messages/${path} || die "Failed to remove ${path}"
+			else
+				einfo "F: ${path}"	# run with LINGUAS="*" to cut down list
+			fi
+		done < <(grep -ve "^$\|^\s*\#" "${REMOVE_MSGS}")
+	else
+		local LNG LDIR
+		for LNG in ${LINGUAS}; do
+			LDIR="${KMNAME}-${LNG}-${LV}"
+			if [[ -d "${KMNAME}-${LNG}-${PV}" && -d "${LDIR}" ]] ; then
+				einfo "${LNG}: Adding legacy localisation"
+				local dest_path
+				# Step through directories alphabetically first
+				for path in $(ls -R "${LDIR}" | grep ":$" | sed -e 's/:$//') ; do
+					dest_path="${path/${LV}/${PV}/4/${LNG}}"
+					if [[ ! -d "${dest_path}" ]] ; then
+						einfo "   $(basename ${dest_path}) subdirectory"\
+							"added to $(basename $(dirname ${dest_path}))"
+						mkdir "${dest_path}" || die "Failed creating ${dest_path}"
+						echo "add_subdirectory($(basename ${dest_path}))" >> \
+							$(dirname "${dest_path}")/CMakeLists.txt
+					fi
+				done
+				einfo "   merging legacy localisation..."
+				for path in $(find "${LDIR}" -type f) ; do
+					dest_path="${path/${LV}/${PV}/4/${LNG}}"
+					cp -rn "${path}" "${dest_path}" || die "Failed copying ${path}"
+				done
+				# Disable kdepim
+				for path in kdepim kdepimlibs kdepim-runtime ; do
+					find "${S}/${KMNAME}-${LNG}-${PV}/4/${LNG}" -name CMakeLists.txt -type f -exec \
+						sed -i -e "s:^ *add_subdirectory( *${path} *):# no ${path}:g" {} +
+				done
+				rm -rf "${LDIR}"
+			fi
+		done
+	fi
+}
+
+src_configure() {
+	mycmakeargs=(
+		-DBUILD_docs=$(usex handbook)
+	)
+	[[ -n ${A} ]] && kde4-base_src_configure
+}
+
+src_compile() {
+	[[ -n ${A} ]] && kde4-base_src_compile
+}
+
+src_test() { :; }
+
+src_install() {
+	[[ -n ${A} ]] && kde4-base_src_install
+}

diff --git a/kde-apps/kdepim-l10n/kdepim-l10n-16.04.0.ebuild b/kde-apps/kdepim-l10n/kdepim-l10n-16.04.0.ebuild
new file mode 100644
index 0000000..6327452
--- /dev/null
+++ b/kde-apps/kdepim-l10n/kdepim-l10n-16.04.0.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+inherit kde5
+
+DESCRIPTION="KDE PIM internationalization package"
+HOMEPAGE="http://l10n.kde.org"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	$(add_frameworks_dep ki18n)
+	$(add_qt_dep linguist-tools)
+	sys-devel/gettext
+"
+RDEPEND="
+	!<kde-apps/kde-l10n-15.08.0-r1
+	!<kde-apps/kde4-l10n-4.14.3-r1
+	!kde-base/kdepim-l10n
+"
+
+# /usr/portage/distfiles $ ls -1 kde-l10n-*-${PV}.* |sed -e 's:-${PV}.tar.xz::' -e 's:kde-l10n-::' |tr '\n' ' '
+MY_LANGS="ar ast bg bs ca ca@valencia cs da de el en_GB eo es et eu fa fi fr ga
+gl he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro
+ru sk sl sr sv tr ug uk wa zh_CN zh_TW"
+
+IUSE="$(printf 'linguas_%s ' ${MY_LANGS})"
+
+PIM_L10N="kdepim kdepimlibs kdepim-runtime pim"
+
+URI_BASE="${SRC_URI/-${PV}.tar.xz/}"
+SRC_URI=""
+for my_lang in ${MY_LANGS} ; do
+	SRC_URI="${SRC_URI} linguas_${my_lang}? ( ${URI_BASE/kdepim/kde}/kde-l10n-${my_lang}-${PV}.tar.xz )"
+done
+
+S="${WORKDIR}"
+
+pkg_setup() {
+	if [[ -z ${A} ]]; then
+		elog
+		elog "You either have the LINGUAS variable unset, or it only"
+		elog "contains languages not supported by ${P}."
+		elog "You won't have any additional language support."
+		elog
+		elog "${P} supports these language codes:"
+		elog "${MY_LANGS}"
+		elog
+	fi
+	[[ -n ${A} ]] && kde5_pkg_setup
+}
+
+src_unpack() {
+	for my_tar in ${A}; do
+		tar -xpf "${DISTDIR}/${my_tar}" --xz \
+			"${my_tar/.tar.xz/}/CMakeLists.txt" "${my_tar/.tar.xz/}/5" 2> /dev/null ||
+			elog "${my_tar}: tar extract command failed at least partially - continuing"
+	done
+}
+
+src_prepare() {
+	default
+	[[ -n ${A} ]] || return
+
+	# add all linguas to cmake
+	cat <<-EOF > CMakeLists.txt || die
+project(kdepim-l10n)
+cmake_minimum_required(VERSION 2.8.12)
+$(printf "add_subdirectory( %s )\n" \
+	`find . -mindepth 1 -maxdepth 1 -type d | sed -e "s:^\./::"`)
+EOF
+
+	# Drop KDE4-based part
+	find -maxdepth 2 -type f -name CMakeLists.txt -exec \
+		sed -i -e "/add_subdirectory(4)/ s/^/#DONT/" {} + || die
+
+	# Handbook optional
+	find -type f -name CMakeLists.txt -exec \
+		sed -i -e "/find_package.*KF5DocTools/ s/ REQUIRED//" {} + || die
+	if ! use handbook ; then
+		find -mindepth 4 -maxdepth 4 -type f -name CMakeLists.txt -exec \
+			sed -i -e '/add_subdirectory(docs)/ s/^/#DONT/' {} + || die
+	fi
+
+	# Remove everything except kdepim, kdepimlibs, kdepim-runtime and pim
+	local LNG DIR
+	for LNG in ${LINGUAS}; do
+		DIR="kde-l10n-${LNG}-${PV}"
+		SDIR="${S}/${DIR}/5/${LNG}"
+		if [[ -d "${DIR}" ]] ; then
+
+			for SUBDIR in data docs messages scripts ; do
+				if [[ -d "${SDIR}/${SUBDIR}" ]] ; then
+					einfo "   ${SUBDIR} subdirectory"
+					echo > "${SDIR}/${SUBDIR}/CMakeLists.txt"
+					for pim in ${PIM_L10N}; do
+						[[ -d "${SDIR}/${SUBDIR}/${pim}" ]] && \
+							( echo "add_subdirectory(${pim})" >> "${SDIR}/${SUBDIR}/CMakeLists.txt" )
+					done
+				fi
+			done
+
+			# In some cases we may have sub-lingua subdirs, e.g. sr :(
+			for XSUBDIR in "${SDIR}/${LNG}"@* ; do
+				XLNG=$(echo ${XSUBDIR}|sed -e 's:^.*/::')
+				if [[ -d "${XSUBDIR}" ]] ; then
+					einfo "   ${XLNG} variant"
+					# remove everything except kdepim and kdepim-runtime
+					for SUBDIR in data docs messages scripts ; do
+						if [[ -d "${XSUBDIR}/${SUBDIR}" ]] ; then
+							einfo "      ${SUBDIR} subdirectory"
+							echo > "${XSUBDIR}/${SUBDIR}/CMakeLists.txt"
+							for pim in ${PIM_L10N}; do
+								[[ -d "${XSUBDIR}/${SUBDIR}/${pim}" ]] && \
+									( echo "add_subdirectory(${pim})" >> "${XSUBDIR}/${SUBDIR}/CMakeLists.txt" )
+							done
+						fi
+					done
+				fi
+			done
+		fi
+	done
+}
+
+src_configure() {
+	[[ -n ${A} ]] && kde5_src_configure
+}
+
+src_compile() {
+	[[ -n ${A} ]] && kde5_src_compile
+}
+
+src_test() {
+	[[ -n ${A} ]] && kde5_src_test
+}
+
+src_install() {
+	[[ -n ${A} ]] && kde5_src_install
+}

diff --git a/kde-apps/ktp-l10n/ktp-l10n-16.04.0.ebuild b/kde-apps/ktp-l10n/ktp-l10n-16.04.0.ebuild
new file mode 100644
index 0000000..b6f330e
--- /dev/null
+++ b/kde-apps/ktp-l10n/ktp-l10n-16.04.0.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="false"
+inherit kde5
+
+DESCRIPTION="KDE Telepathy internationalization package"
+HOMEPAGE="http://l10n.kde.org"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	$(add_frameworks_dep ki18n)
+	$(add_qt_dep linguist-tools)
+	sys-devel/gettext
+"
+RDEPEND="
+	!<kde-apps/kde-l10n-15.08.0-r1
+	!net-im/ktp-accounts-kcm
+	!net-im/ktp-approver
+	!net-im/ktp-auth-handler
+	!net-im/ktp-common-internals
+	!net-im/ktp-contact-list
+	!net-im/ktp-filetransfer-handler
+	!net-im/ktp-kded-module
+	!net-im/ktp-send-file
+	!net-im/ktp-text-ui
+"
+
+# /usr/portage/distfiles $ ls -1 kde-l10n-*-${PV}.* |sed -e 's:-${PV}.tar.xz::' -e 's:kde-l10n-::' |tr '\n' ' '
+MY_LANGS="ar ast bg bs ca ca@valencia cs da de el en_GB eo es et eu fa fi fr ga
+gl he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro
+ru sk sl sr sv tr ug uk wa zh_CN zh_TW"
+
+IUSE="$(printf 'linguas_%s ' ${MY_LANGS})"
+
+URI_BASE="${SRC_URI/-${PV}.tar.xz/}"
+SRC_URI=""
+for MY_LANG in ${MY_LANGS} ; do
+	SRC_URI="${SRC_URI} linguas_${MY_LANG}? ( ${URI_BASE/ktp/kde}/kde-l10n-${MY_LANG}-${PV}.tar.xz )"
+done
+
+S="${WORKDIR}"
+
+pkg_setup() {
+	if [[ -z ${A} ]]; then
+		elog
+		elog "You either have the LINGUAS variable unset, or it only"
+		elog "contains languages not supported by ${P}."
+		elog "You won't have any additional language support."
+		elog
+		elog "${P} supports these language codes:"
+		elog "${MY_LANGS}"
+		elog
+	fi
+	[[ -n ${A} ]] && kde5_pkg_setup
+}
+
+src_unpack() {
+	for my_tar in ${A}; do
+		tar -xpf "${DISTDIR}/${my_tar}" --xz \
+			"${my_tar/.tar.xz/}/CMakeLists.txt" "${my_tar/.tar.xz/}/5" 2> /dev/null ||
+			elog "${my_tar}: tar extract command failed at least partially - continuing"
+	done
+}
+
+src_prepare() {
+	default
+	[[ -n ${A} ]] || return
+
+	# add all linguas to cmake
+	cat <<-EOF > CMakeLists.txt || die
+project(kdepim-l10n)
+cmake_minimum_required(VERSION 2.8.12)
+$(printf "add_subdirectory( %s )\n" \
+	`find . -mindepth 1 -maxdepth 1 -type d | sed -e "s:^\./::"`)
+EOF
+
+	# Drop KDE4-based part
+	find -maxdepth 2 -type f -name CMakeLists.txt -exec \
+		sed -i -e "/add_subdirectory(4)/ s/^/#DONT/" {} + || die
+	# We only want messages
+	find -mindepth 4 -maxdepth 4 -type f -name CMakeLists.txt -exec \
+		sed -i -e "/messages/!s/^add_subdirectory/#DONT/" {} + || die
+	# Remove Handbook
+	find -type f -name CMakeLists.txt -exec \
+		sed -i -e "/find_package.*KF5DocTools/ s/^/#/" {} + || die
+
+	# Remove everything except kdenetwork/ktp translations
+	local LNG DIR
+	for LNG in ${LINGUAS}; do
+		DIR="kde-l10n-${LNG}-${PV}"
+		SDIR="${S}/${DIR}/5/${LNG}"
+		if [[ -d "${DIR}" ]] ; then
+
+			if [[ -d "${SDIR}/messages" ]] ; then
+				echo > "${SDIR}/messages/CMakeLists.txt"
+				[[ -d "${SDIR}/messages/kdenetwork" ]] && \
+					( echo "add_subdirectory(kdenetwork)" >> "${SDIR}/messages/CMakeLists.txt" )
+				# Remove everything but ktp translations
+				find "${SDIR}"/messages/kdenetwork -type f ! \( -name CMakeLists.txt \
+					-o -name kaccounts*po -o -name kcm_ktp*po -o -name kcmtelepathy*po \
+					-o -name kded_ktp*po -o -name ktp*po -o -name plasma*ktp*po \) \
+					-delete
+			fi
+
+			# In some cases we may have sub-lingua subdirs, e.g. sr :(
+			for XSUBDIR in "${SDIR}/${LNG}"@* ; do
+				XLNG=$(echo ${XSUBDIR}|sed -e 's:^.*/::')
+				if [[ -d "${XSUBDIR}" ]] ; then
+					einfo "   ${XLNG} variant"
+					# remove everything except kdenetwork
+					if [[ -d "${XSUBDIR}/messages" ]] ; then
+						echo > "${XSUBDIR}/messages/CMakeLists.txt"
+						[[ -d "${XSUBDIR}/messages/kdenetwork" ]] && \
+							( echo "add_subdirectory(kdenetwork)" >> "${XSUBDIR}/messages/CMakeLists.txt" )
+						# Remove everything but ktp translations
+						find "${XSUBDIR}"/messages/kdenetwork -type f ! \( -name CMakeLists.txt \
+							-o -name kaccounts*po -o -name kcm_ktp*po -o -name kcmtelepathy*po \
+							-o -name kded_ktp*po -o -name ktp*po -o -name plasma*ktp*po \) \
+							-delete
+					fi
+				fi
+			done
+		fi
+	done
+}
+
+src_configure() {
+	[[ -n ${A} ]] && kde5_src_configure
+}
+
+src_compile() {
+	[[ -n ${A} ]] && kde5_src_compile
+}
+
+src_test() {
+	[[ -n ${A} ]] && kde5_src_test
+}
+
+src_install() {
+	[[ -n ${A} ]] && kde5_src_install
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2016-04-16 19:11 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-04-16 19:11 [gentoo-commits] proj/kde:master commit in: kde-apps/kde-l10n/, kde-apps/kdepim-l10n/, kde-apps/kde4-l10n/, Michael Palimaka

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox